package com.steerinfo.metermonitor.metermonitornote.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.metermonitor.metermonitornote.model.MeterMonitorNote;
import com.steerinfo.meterwork.meterworkmonitor.model.MeterWorkMonitor;
import com.steerinfo.meterwork.meterworkscheduledhelp.model.MeterWorkScheduledHelp;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterMonitorNoteMapper extends IBaseMapper<MeterMonitorNote, String> {
    List<MeterMonitorNote> selectView(Map<String, Object> parmas);

    List<MeterMonitorNote> likeByDesc(Map<String, Object> parmas);

    List<MeterMonitorNote> selectByTime(Map<String, Object> parmas);

    String getNewID(@Param(value = "afl") String afl);

    List<MeterMonitorNote> selectByType(Map<String, Object> parmas);

    List<MeterMonitorNote> queryLikeNoPage(HashMap<String, Object> params);

    //根据时间查询所有秤点的不验证历史皮重、不验证异地计量、不验证零点告警、不验证时间间隔、不验证对射、不验证毛皮超差
    List<MeterMonitorNote> countAllState(Map<String, Object> params);
    //重置车号
    List<MeterMonitorNote> countResetCar(Map<String, Object> params);
    List<MeterMonitorNote> allStateView(Map<String, Object> params);
    List<MeterMonitorNote> resetCarView(Map<String, Object> params);
}
